Index: /palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4539)
+++ /palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4540)
@@ -529,5 +568,6 @@
 !
 !--       Write some general information about the spinup in run control file
-          WRITE ( 15, 101 )  current_timestep_number_spinup, sign_chr, time_since_reference_point_chr, dt_3d, pt_spinup
+          WRITE ( 15, 101 )  current_timestep_number_spinup, sign_chr,                             &
+                             time_since_reference_point_chr, dt_3d, pt_spinup
 !
 !--       Write buffer contents to disc immediately
@@ -537,5 +577,5 @@
 
 
-    ENDDO   ! time loop
+    ENDDO   ! Time loop
 
 !
@@ -563,8 +603,6 @@
 !
 !-- Formats
-100 FORMAT (///'Spinup control output:'/  &
-            '---------------------------------'// &
-            'ITER.   HH:MM:SS    DT   PT(z_MO)'/   &
-            '---------------------------------')
+100 FORMAT (///'Spinup control output:---------------------------------'//                         &
+            'ITER.   HH:MM:SS    DT   PT(z_MO)---------------------------------')
 101 FORMAT (I5,2X,A1,A9,1X,F6.2,3X,F6.2,2X,F6.2)
 
@@ -572,36 +610,39 @@
 
 !
-!-- Returns the cosine of the solar zenith angle at a given time. This routine
-!-- is similar to that for calculation zenith (see radiation_model_mod.f90)
-    !> @todo Load function calc_zenith of radiation model instead of
-    !>       rewrite the function here.
-    FUNCTION solar_angle( day_of_year, second_of_day ) 
-
-       USE basic_constants_and_equations_mod,                                  &
+!-- Returns the cosine of the solar zenith angle at a given time. This routine is similar to that
+!-- for calculation zenith (see radiation_model_mod.f90)
+    !> @todo Load function calc_zenith of radiation model instead of rewrite the function here.
+    FUNCTION solar_angle( day_of_year, second_of_day )
+
+       USE basic_constants_and_equations_mod,                                                      &
            ONLY:  pi
-      
+
        USE kinds
 
-       USE radiation_model_mod,                                                &
-           ONLY:  decl_1, decl_2, decl_3, lat, lon
-
-       IMPLICIT NONE 
+       USE radiation_model_mod,                                                                    &
+           ONLY:  decl_1,                                                                          &
+                  decl_2,                                                                          &
+                  decl_3,                                                                          &
+                  lat,                                                                             &
+                  lon
+
+       IMPLICIT NONE
 
 
        INTEGER(iwp), INTENT(IN) ::  day_of_year  !< day of the year
 
-       REAL(wp)             ::  declination      !< solar declination angle
-       REAL(wp)             ::  hour_angle       !< solar hour angle
-       REAL(wp), INTENT(IN) ::  second_of_day    !< current time of the day in UTC
-       REAL(wp)             ::  solar_angle      !< cosine of the solar zenith angle
-!
-!--    Calculate solar declination and hour angle   
-       declination = ASIN( decl_1 * SIN(decl_2 * REAL(day_of_year, KIND=wp) - decl_3) )
-       hour_angle  = 2.0_wp * pi * (second_of_day / 86400.0_wp) + lon - pi
+       REAL(wp)             ::  declination    !< solar declination angle
+       REAL(wp)             ::  hour_angle     !< solar hour angle
+       REAL(wp), INTENT(IN) ::  second_of_day  !< current time of the day in UTC
+       REAL(wp)             ::  solar_angle    !< cosine of the solar zenith angle
+!
+!--    Calculate solar declination and hour angle
+       declination = ASIN( decl_1 * SIN( decl_2 * REAL( day_of_year, KIND = wp) - decl_3 ) )
+       hour_angle  = 2.0_wp * pi * ( second_of_day / 86400.0_wp ) + lon - pi
 
 !
 !--    Calculate cosine of solar zenith angle
-       solar_angle = SIN(lat) * SIN(declination) + COS(lat) * COS(declination) &
-                     * COS(hour_angle)
+       solar_angle = SIN( lat ) * SIN( declination ) + COS( lat ) * COS( declination ) *           &
+                     COS( hour_angle )
 
     END FUNCTION solar_angle
Index: /palm/trunk/SOURCE/time_to_string.f90
===================================================================
--- /palm/trunk/SOURCE/time_to_string.f90	(revision 4539)
+++ /palm/trunk/SOURCE/time_to_string.f90	(revision 4540)
@@ -1,20 +1,20 @@
 !> @file time_to_string.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
@@ -25,6 +25,10 @@
 ! -----------------
 ! $Id$
+! File re-formatted to follow the PALM coding standard
+!
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
@@ -37,7 +41,7 @@
 ! ------------
 !> Transforming the time from real to character-string hh:mm:ss
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  FUNCTION time_to_string( time )
- 
+
 
     USE kinds
@@ -45,12 +49,12 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string !< 
+    CHARACTER(LEN=9) ::  time_to_string  !<
 
-    INTEGER(iwp)      ::  hours   !< 
-    INTEGER(iwp)      ::  minutes !< 
-    INTEGER(iwp)      ::  seconds !< 
+    INTEGER(iwp)     ::  hours    !<
+    INTEGER(iwp)     ::  minutes  !<
+    INTEGER(iwp)     ::  seconds  !<
 
-    REAL(wp)          ::  rest_time !< 
-    REAL(wp)          ::  time      !< 
+    REAL(wp)         ::  rest_time  !<
+    REAL(wp)         ::  time       !<
 
 !
@@ -64,9 +68,7 @@
 !-- Build the string
     IF ( hours < 100 )  THEN
-       WRITE (time_to_string,'(I2.2,'':'',I2.2,'':'',I2.2)')  hours, minutes, &
-                                                              seconds
+       WRITE (time_to_string,'(I2.2,'':'',I2.2,'':'',I2.2)')  hours, minutes, seconds
     ELSE
-       WRITE (time_to_string,'(I3.3,'':'',I2.2,'':'',I2.2)')  hours, minutes, &
-                                                              seconds
+       WRITE (time_to_string,'(I3.3,'':'',I2.2,'':'',I2.2)')  hours, minutes, seconds
     ENDIF
 
